<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class KrsPaketDetail extends Model
{
    use HasFactory;

    protected $fillable = [
        'krs_paket_id',
        'jadwal_kuliah_id',
    ];

    public function paket()
    {
        return $this->belongsTo(KrsPaket::class, 'krs_paket_id');
    }

    public function jadwalKuliah()
    {
        return $this->belongsTo(JadwalKuliah::class, 'jadwal_kuliah_id');
    }
}
